Subject: [PATCH v4] pwm-backlight: Avoid backlight flicker when probed from DT

From: [email-masked] (Heiko Stuebner)
Date: Tue, 10 Nov 2015 15:18:10 +0100

Hi Philipp,

Am Montag, 2. November 2015, 17:55:56 schrieb Philipp Zabel:
> If the driver is probed from the device tree, and there is a phandle
> property set on it, and the enable GPIO is already configured as output,
> and the backlight is currently disabled, keep it disabled.
> If all these conditions are met, assume there will be some other driver
> that can enable the backlight at the appropriate time.
> 
> Signed-off-by: Philipp Zabel <[email-masked]>
> Reviewed-by: Christian Gmeiner <[email-masked]>

this patch improves the white screen when booting a veyron chromebook
a lot. I still see a small white flash, but that can probably come from
the WIP edp driver.

Tested-by: Heiko Stuebner <[email-masked]>